Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.spi
Interface AuditCredentialMappingEvent

public interface AuditCredentialMappingEvent
extends AuditEvent, AuditContext

The `AuditCredentialMappingEvent` interface is used to post credential mapping audit events. The WebLogic Security Framework implements this interface and may post audit events for the following security events:

- Credentials for a WLS User are requested
- Credentials for a Subject are requested

A Credential Mapping provider may also implement this interface and post additional types of credential mapping audit events.

An Auditing provider can use this interface to get additional information about the credential mapping audit event. The `AuditSeverity` attribute can be used to determine which of the above audit events has been posted.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.Object[]` | `getCredentials()` Gets the object array of credentials returned by the getCredential operation associated with this `AuditCredentialMappingEvent`.
`java.lang.String[]` | `getCredentialTypes()` Gets the string array of credential types requested in the getCredential operation associated with this `AuditCredentialMappingEvent`.
`java.lang.String` | `getInitiatorString()` Gets the initiator of the getCredential operation associated with this `AuditCredentialMappingEvent`.
`javax.security.auth.Subject` | `getInitiatorSubject()` Gets the subject of the initiator of the getCredential operation associated with this `AuditCredentialMappingEvent`.
`javax.security.auth.Subject` | `getRequestorSubject()` Gets the requestor subject of the getCredential operation associated with this `AuditCredentialMappingEvent`.
`Resource` | `getResource()` Gets the resource of the getCredential operation associated with this `AuditCredentialMappingEvent`.

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Methods inherited from interface weblogic.security.spi.AuditContext
`getContext`

Method Detail

### getResource

    public Resource getResource()

  Gets the resource of the getCredential operation associated with this `AuditCredentialMappingEvent`.

  Returns:
    the `Resource` object for which credentials associated with this `AuditCredentialMappingEvent` were requested.

### getRequestorSubject

    public javax.security.auth.Subject getRequestorSubject()

  Gets the requestor subject of the getCredential operation associated with this `AuditCredentialMappingEvent`.

  Returns:
    the requestor `Subject`.

### getInitiatorSubject

    public javax.security.auth.Subject getInitiatorSubject()

  Gets the subject of the initiator of the getCredential operation associated with this `AuditCredentialMappingEvent`. If the container used the getCredential method with the string initiator parameter, then null is returned

  Returns:
    the initiator `Subject` of the getCredential operation.

### getInitiatorString

    public java.lang.String getInitiatorString()

  Gets the initiator of the getCredential operation associated with this `AuditCredentialMappingEvent`. If the container used the getCredential method with the Subject initiator parameter, then null is returned.

  Returns:
    the user name of the initiator of the getCredential operation.

### getCredentialTypes

    public java.lang.String[] getCredentialTypes()

  Gets the string array of credential types requested in the getCredential operation associated with this `AuditCredentialMappingEvent`.

  Returns:
    the array of credential types requested.

### getCredentials

    public java.lang.Object[] getCredentials()

  Gets the object array of credentials returned by the getCredential operation associated with this `AuditCredentialMappingEvent`.

  Returns:
    the array of credential objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD